package com.lzmispt.data.resource.client;

package .tmp;

import com.lzmispt.core.entity.vo.user.InterfaceUserVO;
import com.lzmispt.data.center.entity.dto.dcinterface.SyncInterfaceConfigDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.InfoItemPropertyDTO;
import com.lzmispt.data.center.entity.vo.dcinterface.DataCollectionDirectoryVO;
import com.lzmispt.data.center.entity.vo.dcinterface.GetInterfaceInfoVO;
import com.lzmispt.data.center.entity.vo.dcinterface.InterfaceEntityRelationVO;
import com.lzmispt.data.center.entity.vo.resource.file.FileTableUsedInterfaceVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.DirectoryUsedInterfaceVO;
import com.lzmispt.data.resource.fallback.DataInterfaceClientFallBack;
import com.lzmispt.dcbase.config.FeignConfig;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "mispt-dc-interface", fallback = DataInterfaceClientFallBack.class, configuration = {FeignConfig.class})
public interface DataInterfaceClient {
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceUserList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map> getInterfaceUserList(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2, @RequestBody DCQueryModelDTO paramDCQueryModelDTO);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceEntityRelation/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<InterfaceEntityRelationVO>> getInterfaceEntityRelation(@PathVariable("entityId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceUserByAccessToken/{accessTokenId}"}, method = {RequestMethod.GET})
  ResultEntity<InterfaceUserVO> getInterfaceUserByAccessTokenId(@PathVariable("accessTokenId") String paramString);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getDataCollectionDirectory/{interfaceId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<DataCollectionDirectoryVO> getDataCollectionDirectory(@PathVariable("interfaceId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/removeInterfaceRelationAndConfigByEntityId/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> removeInterfaceRelationAndConfigByEntityId(@PathVariable("entityId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/removeFieldsInInterfaceConfig/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> removeFieldsInInterfaceConfig(@PathVariable("entityId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/removeFileFieldsInInterfaceConfig/{entityId}/{fileTableId}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> removeFileFieldsInInterfaceConfig(@PathVariable("entityId") Long paramLong1, @PathVariable("fileTableId") Long paramLong2, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceInfoByIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<GetInterfaceInfoVO>> getInterfaceInfoByIds(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/removeEntityInInterfaceConfigByRelation/{pkEntityId}/{fkEntityId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> removeEntityInInterfaceConfigByRelation(@PathVariable("pkEntityId") Long paramLong1, @PathVariable("fkEntityId") Long paramLong2, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getUsedInterfaceByInfoItemIds/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, List<DirectoryUsedInterfaceVO>>> getUsedInterfaceByInfoItemIds(@PathVariable("entityId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/updateConfigFromEntity/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> updateConfigFromEntity(@RequestBody SyncInterfaceConfigDTO paramSyncInterfaceConfigDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/fileTableUsedInterface/{entityId}/{fileTableId}/{returnUsedField}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<FileTableUsedInterfaceVO>> fileTableUsedInterface(@PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/removeInterfaceConfigByFileTableId/{entityId}/{fileTableId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> removeInterfaceConfigByFileTableId(@PathVariable("entityId") Long paramLong1, @PathVariable("fileTableId") Long paramLong2, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/syncInfoItemUpdateInterfaceConfig/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> syncInfoItemUpdateInterfaceConfig(@RequestBody List<InfoItemPropertyDTO> paramList, @PathVariable Long paramLong, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceUserById/{interfaceUserId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<InterfaceUserVO> getInterfaceUserById(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2, @PathVariable("interfaceUserId") Long paramLong);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceInfoById/{interfaceId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<GetInterfaceInfoVO> getInterfaceInfoById(@PathVariable("interfaceId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceCount/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getInterfaceCount(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-interface/dataInterface/getInterfaceCountByEntityIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Integer> getInterfaceCountByEntityIds(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @GetMapping({"/mispt-dc-interface/app/testConfig"})
  String testConfig();
}
